For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginGet a Demo
DocumentationAPI Reference
DocumentationAPI Reference
  • Start here
    • Welcome to HelloData API
    • Authentication
    • Pricing
    • Changelog
  • Concepts
    • Rate Limits
    • Respecting Rate Limits
    • Common Error Codes
    • Common Calculations
    • Ingestion Timeline
    • Deprecations
  • Examples
    • Property Search
    • Property Details & History
    • Identify Comparables
    • Price Recommendations
    • Property ID Changes
    • Dataset Export
  • Support
    • Contact Us
LogoLogo
LoginGet a Demo
On this page
  • Basic search
  • Adding constraints
  • Fuzzy matching
  • Speed and performance
  • Caching
  • Full Documentation
Examples

Property Search

Find the properties you want to know everything about
Was this page helpful?
Previous

Property Details & History

Access the most comprehensive property data, and our AI-powered insights

Next
Built with

The first step before retrieving property detailes, identifying comps, recommending rents or any other analysis is to find the property you are interested in. This endpoint allows you to search for properties by address, city, state, zip code, or property name. It works with typos and fuzzy matching, so you can be sure to find the property you are looking for.

This endpoint is free! Refine your search as much as needed.

Private properties are not indexed: This search endpoint only returns properties from HelloData’s indexed database. Properties created via POST /property (custom-created/private properties) are not included in the search index and will not appear in search results.

Intended workflow: Use this search endpoint to find HelloData property IDs initially, then store those IDs for future direct access. If you create a property via POST /property, store the returned ID and use it directly—do not expect to find it via search.

Basic search

You can search by address, city, state, zip code, property name, or a combination of these.

1import requests
2
3url = "https://api.hellodata.ai/property/search"
4
5querystring = {"q": "111 W Wacker Chicago"}
6
7headers = {
8 'x-api-key': "your-api-key"
9}
10
11response = requests.request("GET", url, headers=headers, params=querystring)
12
13print(response.json()) # list of potential matches

Make sure query parameters are URL encoded. For example, a space should be encoded as %20.

This returns a simple list of properties that match your search. You can then use the id to get more details on a specific property.

Returned list of matches
1[
2 {
3 "id": "0e628031-57b8-5394-821d-13779318fef4",
4 "lat": 41.88651,
5 "lon": -87.63141,
6 "building_name": "OneEleven",
7 "building_name_alias": [
8 "OneEleven"
9 ],
10 "street_address": "111 West Wacker Drive",
11 "street_address_alias": [
12 "111 West Wacker Drive",
13 "111 West Wacker"
14 ],
15 "city": "Chicago",
16 "state": "IL",
17 "zip_code": "60601",
18 "year_built": 2014,
19 "number_units": 505,
20 }
21]

Adding constraints

For automated searches, constrain results by zip code, state, or distance from a specific location.

Filter by Zip Code
Filter by State
Filter by Lat/Lon

Here is how to search for properties in a specific zip code:

1import requests
2
3url = "https://api.hellodata.ai/property/search"
4
5querystring = {"q":"111 W Wacker Chicago", "zip_code": "60601"}
6
7headers = {
8 'x-api-key': "your-api-key"
9}
10
11response = requests.request("GET", url, headers=headers, params=querystring)
12
13print(response.json()) # list of potential matches within the zip code

Fuzzy matching

The search endpoint supports fuzzy matching, so you can search for properties even with a typo or two, or partial information.

Speed and performance

The search endpoint is optimized for speed and performance, so you can expect fast responses even when performing multiple searches in a short period of time.

Caching

It is perfectly fine to cache the results of the search endpoint, as the data does not change frequently. This can help improve the performance of your application and reduce the load on the API.

Full Documentation

Find more details about this endpoint our API Reference.